Subject: Bug#1125: [X2Go-Dev] Bug#1125: Bug#1125: Bug#1125: Remote printing not working in Debian Jessie

From: "Sebastian T." <[email-masked]>
Date: Wed, 21 Dec 2016 18:21:45 +0100

or a lack of reverse tunnel can also cause printing issue as I reported here 
http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=1105

fix is already committed but not yet in release.

Dnia środa, 21 grudnia 2016 12:30:56 CET Chris pisze:
> Hi JR,
> 
> have you read:
> http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=694
> 
> That buf has been there since 2014. Nobody cares.
> It might be your problem.
> 
> BR
> Chris
> 
> Am 21.12.2016 um 12:00 schrieb JR:
> > Hi Stefan,
> > 
> > I tried the options discussed without success.
> > It is strange, perhaps this Windows XP has a problem.
> > So I can I will test different scenarios and I will notify the results.
> > 
> > Thank you very much.
> > 
> > Kind Regards,
> > 
> > JR
> > 
> > On Mon, 19 Dec 2016 19:48:37 +0100
> > 
> > Stefan Baur <[email-masked]> wrote:
> >> Am 16.12.2016 um 20:41 schrieb JR:
> >>> Package: cups-x2go
> >>> Version: 3.0.1.3-0x2go1+git20161129.135+8.main.1
> >>> 
> >>> I tried printing on the local PC from the x2goclient without success.
> >>> x2goclient gives no message.
> >>> 
> >>> I installed x2goserver-printing,  cups, cups-x2go and I  have installed
> >>> x2go virtual printer.
> >>> 
> >>> This happens to me only in Q4OS 1.18-Orion (Debian Jessie based). In
> >>> Q4OS 2.2-Scorpion (Debian Stretch based) it works perfectly.
> >>> 
> >>> For more details, please give a look at:
> >>> 
> >>> http://www.q4os.org/forum/viewtopic.php?id=1261
> >> 
> >> I followed that thread and the reason why you can't print at all is
> >> SystemD-related, not X2Go-related.  For various reasons, I don't think
> >> too highly of SystemD, and I strongy doubt that we'll add a patch to
> >> X2Go to fix something that is actually SystemD's fault.
> >> 
> >> Now, why you still can't print from Windows XP after applying that
> >> configuration change, that's another issue, and one that will have to be
> >> investigated.
> >> 
> >> Please check that the settings under Options/Settings/Printing match
> >> between your Linux client (where remote printing works after applying
> >> the fix) and your Windows client for your initial test.
> >> 
> >> After that, please try changing the Windows client setting to "View as
> >> PDF" instead of printing directly.  If that doesn't work, either, then
> >> you're either missing a default PDF viewing/printing application (you
> >> can try SumatraPDF if you don't want something as bloated as Adobe
> >> Reader) on the client, or there's something wrong in getting the data
> >> processed.
> >> 
> >> For that, I would suggest running the debug version of X2GoClient.exe
> >> and logging its output to a file, then attaching that file to the bug
> >> report by e-mailing it to: [email-masked]
> >> 
> >> Kind Regards,
> >> Stefan Baur
> > 
> > _______________________________________________
> > x2go-dev mailing list
> > [email-masked]
> > http://lists.x2go.org/listinfo/x2go-dev
> 
> _______________________________________________
> x2go-dev mailing list
> [email-masked]
> http://lists.x2go.org/listinfo/x2go-dev